body { color: black; padding: 0; margin: 0 }
#unity-container { position: fixed; width: 100%; height: 100%; }
#unity-canvas { width: 100%; height: 100%; background: #231F20 }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none }
#unity-logo { width: 154px; height: 130px; background: url('unity-logo-dark.png') no-repeat center }
#unity-progress-bar-empty { margin-left: auto; margin-right: auto; width: 141px; height: 18px; margin-top: 10px; background: url('progress-bar-empty-dark.png') no-repeat center }
#unity-progress-bar-full { width: 0%; height: 18px; margin-top: 10px; background: url('progress-bar-full-dark.png') no-repeat center }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

#progress-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /*background: rgba(0, 0, 0, 0.85);*/
    padding: 30px;
    color: white;
    font-size: 18px;
    text-align: center;
    width: 450px;
    font-family: Arial, sans-serif; /* Ensures sans-serif font */
}

#progress-title {
    font-size: 22px;
    font-weight: bold;
}

#progress-bar-container {
    width: 100%;
    background: rgba(30, 30, 30, 1);
}

#progress-canvas {
    width: 100%;
    height: 12px;
    background: rgba(255, 255, 255, 0.3);
}

#progress-text-bottom {
    font-size: 16px;
    font-weight: bold;
}
